body {
  padding-bottom: 20vw;
}

.header {
  width: 100vw;
  margin: 0;
  background-color: #fff;
}

.image-header {
  width: 100vw;
  margin: 0;
  vertical-align:top
}

.box-header-image {
  position: relative;
}

.box-header-back {
  background-color: #ffffff;
}

.header-description {
  margin-bottom: 5vw;
  padding: 0 5vw
}


.box-map {
  position: relative;
  display: flex;
  align-items: center;
  width:100vw;
  height:100vw;
  margin: 5vw 0;
  background-color: #E4EAED;
}

.box-map-button {
  position: absolute;
  right: 7vw;
  width: 32px;
  height: 32px;
  z-index: 50;
}

.stamp {
  top: 40px;
}

.collection {
  top: 75px;
}

#map {
  width:90vw;
  height:90vw;
  margin:0 auto;
  z-index: 1;
  border-radius: 10px;
}

#button-current-position { 
  position: absolute;
  left: 8vw;
  bottom: 8vw;
  font-size: 0.8em;
  padding: 1.5vw 4vw;
  background-color: #931B1B;
  color: #ffffff;
  border-radius: 2vw;
  z-index: 2;

}

.box-map-ui {
  position: absolute;
  top: 0;
  left: 0;
  width:100vw;
  height:100vw;
  text-align: center;
  pointer-events: none;
  z-index: 100;
}

.collection-menu {
  display: flex;
  justify-content: space-evenly;
  width: 100vw;
  box-sizing: border-box; 
}

.stamp-card-container {
    position: relative;
    width: 45vw;
    height: 50vw;
    overflow: hidden;
}

.complete-badge {
    position: absolute;
    top: 50%;
    right: 1vw;
    transform: translateY(-50%);
    width: 10vw;
    height: 10vw;
    z-index: 10;
}

.stamp-card-header {
    position: relative;
    text-align: center;
    font-size: 0.8em;
    font-weight: bold;
    padding: 1vw 0;
    border-radius: 3vw 3vw 0 0;
}

.stamp-card-body {
    text-align: center;
    font-size: 0.8em;
    font-weight: bold;
    padding: 5vw 0;
    border-radius: 0 0 3vw 3vw;
}

.stamp-icon {
  width: 15vw;
  height: 15vw;
  margin-bottom: 3vw;
}

.completion-text {
    font-size: 1.5em;
    font-weight: bold;
    margin: 0;
    line-height: 1;
}

.completion-text-small {
    font-size: 0.7em; /* /10 か所 */
    vertical-align: baseline; /* 上付き文字のように */
}

.caution-list {
  margin: 5vw 0;
}

.caution-item {
  display: flex;
  align-items: center;
  padding: 4vw 0;
  border-bottom: 1px solid #dcdcdc; /* 下線 */
}

.caution-item:last-child {
  border-bottom: none;
}

.caution-icon {
  width: 18vw;
  height: 18vw;
  margin-right: 2vw;
}

.text-content {
  flex: 1;
}

.caution-title {
  font-size: 1.0em;
  font-weight: bold;
  color: #333;
  margin-bottom: 1vw;
  line-height: 1.4;
}

.caution-desc {
  font-size: 0.8em;
  color: #666;
  line-height: 1.5;
  margin: 0;
}